Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039713
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2018-11-28 16:252018-12-11 20:22
ReportermarvintmView Statuspublic 
Assigned Tojarmendariz 
PriorityimmediateResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revisionb31225b09af9
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression levelCoding ( Testing )
Regression date2018-11-19
Regression introduced in releasepi
Regression introduced by commithttp://code.openbravo.com/erp/devel/pi/rev/4d00819f3952ff85dae35810a6a47c2f2bbfaed8 [^]
Triggers an Emergency PackNo
Summary

0039713: The CopyLog4jConfigurationFromTemplates buildvalidation fails if source.path is not properly configured

DescriptionIf source.path property in the Openbravo.properties file is not correctly configured, the CopyLog4jConfigurationFromTemplates buildvalidation fails with the following error:

Error executing build-validation org.openbravo.buildvalidation.CopyLog4jConfigurationFromTemplates: /opt/openbravo/config/log4j2.xml.template


Normally source.path should be well configured, but in many cases it is not, and it should be possible to retrieve the build path from somewhere else.
Steps To ReproduceExecute ant update.database in an environment in which the source.path property is not well configured, and the previously mentioned error will appear.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
caused by feature request 0039504 closedjarmendariz Upgrade Log4j to version 2 

-  Notes
(0108159)
hgbot (developer)
2018-11-28 17:46

Repository: erp/devel/pi
Changeset: b31225b09af91f3d9f7ff79e892c4466b5d8fc1f
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Wed Nov 28 17:15:40 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/b31225b09af91f3d9f7ff79e892c4466b5d8fc1f [^]

Fixed issue 39713: CopyLog4jConfigurationFromTemplates fails if no source.path.

Build validation task fails when source.path is not properly configured because
it uses this value as a base folder to copy the log4j config files. Using
another implementation based on user.dir system property to get the base folder
and failing if the resulting folder does not contain config folder.

---
M src-util/buildvalidation/build/classes/org/openbravo/buildvalidation/CopyLog4jConfigurationFromTemplates.class
M src-util/buildvalidation/src/org/openbravo/buildvalidation/CopyLog4jConfigurationFromTemplates.java
---
(0108189)
hgbot (developer)
2018-11-30 13:10

Repository: erp/devel/pi
Changeset: 0dbf22b1f296623dce5e09c3978479767d3443a2
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Fri Nov 30 13:02:36 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/0dbf22b1f296623dce5e09c3978479767d3443a2 [^]

Related to issue 39713: log4j buildvalidation fails if no source.path is found.

Copy log4j config from config build validation won't fail if source folder is
not found. A message will be shown instead.

---
M src-util/buildvalidation/build/classes/org/openbravo/buildvalidation/CopyLog4jConfigurationFromTemplates.class
M src-util/buildvalidation/src/org/openbravo/buildvalidation/CopyLog4jConfigurationFromTemplates.java
---
(0108505)
hudsonbot (developer)
2018-12-11 20:22

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/470e3cd384c5 [^]
Maturity status: Test
(0108507)
hudsonbot (developer)
2018-12-11 20:22

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/470e3cd384c5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-11-28 16:25 marvintm New Issue
2018-11-28 16:25 marvintm Assigned To => platform
2018-11-28 16:25 marvintm Modules => Core
2018-11-28 16:25 marvintm Triggers an Emergency Pack => No
2018-11-28 16:26 alostale Relationship added caused by 0039504
2018-11-28 16:28 alostale Regression level => Coding ( Testing )
2018-11-28 16:28 alostale Regression date => 2018-11-19
2018-11-28 16:28 alostale Regression introduced in release => pi
2018-11-28 16:28 alostale Regression introduced by commit => http://code.openbravo.com/erp/devel/pi/rev/4d00819f3952ff85dae35810a6a47c2f2bbfaed8 [^]
2018-11-28 16:28 alostale Priority normal => immediate
2018-11-28 16:44 jarmendariz Assigned To platform => jarmendariz
2018-11-28 16:44 jarmendariz Status new => scheduled
2018-11-28 17:46 hgbot Checkin
2018-11-28 17:46 hgbot Note Added: 0108159
2018-11-28 17:46 hgbot Status scheduled => resolved
2018-11-28 17:46 hgbot Resolution open => fixed
2018-11-28 17:46 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/b31225b09af91f3d9f7ff79e892c4466b5d8fc1f [^]
2018-11-28 17:46 jarmendariz Review Assigned To => alostale
2018-11-30 13:10 hgbot Checkin
2018-11-30 13:10 hgbot Note Added: 0108189
2018-12-11 20:22 hudsonbot Checkin
2018-12-11 20:22 hudsonbot Note Added: 0108505
2018-12-11 20:22 hudsonbot Checkin
2018-12-11 20:22 hudsonbot Note Added: 0108507


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker